Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 20/10/2017, à 13:03

Roschan

[Ubuntu 17.10] Problèmes avec la nouvelle version ?

Depuis Ubuntu 17.10 Artful Aardvark, les installations par défaut d'Ubuntu (les autres variantes ne sont pas concernées) utilisent maintenant GNOME Shell avec le serveur d'affichage Wayland.

La modification la plus visible est GNOME Shell, mais la modification la plus importante est en réalité Wayland : la manière d'afficher les fenêtres et le contenu est totalement modifiée ! Ça n'a plus rien à voir avec les versions précédentes, ni avec les autres environnements.

TUTORIEL DÉDIÉ POUR TOUT RÉSUMER : https://doc.ubuntu-fr.org/tutoriel/passer_a_ubuntu_1710

----

L'une des modifications de fonctionnement les plus exigeantes est :

ON NE PEUT PAS LANCER D'APPLICATIONS GRAPHIQUES EN TANT QU'ADMIN

ET C'EST NORMAL, C'EST FAIT EXPRÈS

Lisez donc la documentation à ce sujet si les raisons de ce changement vous intéressent.

Vous ne pourrez donc pas lancer Synaptic. (Ni GParted, ni "gksudo nautilus" ni "sudo gedit", ...)

DEUX SOLUTIONS POSSIBLES :

  * Utiliser GNOME Paquets à la place de Synaptic. L'interface est un peu moins riche, mais les fonctionnalités sont similaires.

  * Fermez votre session, puis sélectionnez la session "Ubuntu sur Xorg" (par opposition à "Ubuntu" sur Wayland). Ce choix sera normalement mémorisé pour le prochain démarrage. Vous retrouvez alors la technologie "Xorg", employée sur toutes les versions précédentes.

(D'autres solutions de secours existent (notamment celles avec xhost), mais elles présentent des problèmes de sécurité énormes et ou un fonctionnement pénible, et sont donc déconseillées.)

---------

AUTRES PROBLÈMES COURANTS :

- Pas de "teamViewer" ou je ne sais quel machin de partage d'écran. Utiliser Xorg.
- Pas de Tint2 ni de Cairo. Utilisez des extensions GNOME Shell comme tout le monde.
- Peu de logiciels de capture d'écran sont compatibles.

Dernière modification par Roschan (Le 09/11/2017, à 21:13)

Hors ligne

#2 Le 22/10/2017, à 16:35

thenono

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

oups désolé, pourtant j'ai cherché...un peu!!
merci beaucoup

Hors ligne

#3 Le 24/10/2017, à 06:11

Isaric

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Merci Roschan pour ces explications.

'Gnome Paquets', je rencontre 2 problèmes de souplesse d'utilisation pratiques et existantes dans synaptic :

a) En passant ma souris sur un nom de paquet je pouvais faire un 'copier' (à partir de propriétés). Cela est pratique pour donner le nom et la version du paquet sur ce forum par exemple. Peut-on le faire avec Gnome Paquets ?

b) Les possibilités de classement par Catégories; État, Origine était aussi bien pratique. Peut-on le faire avec Gnome Paquets ?

Je me pose aussi la question sur les 2 possibilités du menu déroulant :
-->Paquets-->seulement les versions le plus récentes
-->Paquets-->seulement les paquets natifs
Peut-on trouver des explications de ces choix ?

d'avance merci


"Être bahá'í signifie simplement aimer la terre toute entière, aimer l'humanité et essayer de la servir, travailler pour la paix universelle et la famille humaine" 'Abdul'l-Bahá
"Vouloir s'ouvrir aux autres n'est pas une preuve de faiblesse, c'est une preuve d'intelligence"  Matthieu Ricard.
ma config

Hors ligne

#4 Le 28/10/2017, à 08:17

lhebui

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Effectivement, je me retrouve avec une interface graphique pour me connecter à mon compte. Par contre, comme choix j'ai Unity et gnome sous X11. (pas gnome)

Que je me connecte sous l'un ou l'autre, j'ai des grosses lenteurs (vraiment très grosses qui font tourner le ventilo à fond) et j'arrive quelque fois à arriver jusqu'à l'interface graphique mais de toute façon, c'est presque totalement figé ...

J'ai supprimé le .bashrc mais rien n'y fait ...


portable acer extensa 5220, 2 Go, 16.04 64b, Dell E6410 8Go, 16.04 64b
portable samsung 17" i5 2430, 4 Go, 16.04 64b
pc multimedia : HP Intel® Core™2 Duo CPU E7500, 5Go, ubuntu 16.04 64b multimedia + Raspberry Pi 3 mythtv backend
ASUS eeePC M1510 2Go : 16.04 64b, Tablette samsung galaxy tab II android

Hors ligne

#5 Le 28/10/2017, à 08:50

malbo

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

@lhebui : d'après tes symptômes, cela semble grave. Je te suggère de créer une nouvelle discussion pour ton cas personnel en donnant le nom du modèle de l'ordi sur lequel tu as ce problème (ou bien le descriptif si c'est un ordi assemblé) et en mentionnant que tu as fait une mise à niveau par internet depuis une version précédente de Ubuntu (la 17.04 très certainement)

Dernière modification par malbo (Le 28/10/2017, à 08:54)

Hors ligne

#6 Le 28/10/2017, à 08:53

lhebui

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Ok, c'est parti ...


portable acer extensa 5220, 2 Go, 16.04 64b, Dell E6410 8Go, 16.04 64b
portable samsung 17" i5 2430, 4 Go, 16.04 64b
pc multimedia : HP Intel® Core™2 Duo CPU E7500, 5Go, ubuntu 16.04 64b multimedia + Raspberry Pi 3 mythtv backend
ASUS eeePC M1510 2Go : 16.04 64b, Tablette samsung galaxy tab II android

Hors ligne

#7 Le 29/10/2017, à 14:14

nazrkenin

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Salut tout le monde j'ai fait une actualisation de ubuntu para 17.10 hier mais il se trouve que le clavier ne dispose pas de c cédille majuscule alors que mon mot de passe contient ç majuscule, et j'arrive pas à m'identifier aidez moi svp.

Hors ligne

#8 Le 29/10/2017, à 14:25

Roschan

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Comment ça ? En faisant verrouillage majuscule puis "ç" ça ne marche pas ? sans doute rien à voir avec Wayland ceci dit, il faudrait créer ta propre discussion.

Hors ligne

#9 Le 31/10/2017, à 16:33

ccoolspot

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Hum je suis pas sur que gnome-paquets soit un remplacant de synaptic. A ma connaissance il lui manque toute la gestion de purge/autoremove et la maintenance système avec les filtre personnalisé tel que lister les paquets orphelins, cassé, recommandé etc...

Perso j'ai le temps étant sous driver prorpio nvidia mais quand je devrai passer sous wayland je pense que pour synaptic j'utiliserai les solutions de contournement comme proposé ici : https://askubuntu.com/questions/961967/ … ork-with-w

Hors ligne

#10 Le 31/10/2017, à 16:41

Roschan

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Oui oui, on a compris, tout le monde préfère contourner les mécanismes de sécurité par limitation de la surface d'attaque, parce que c'est tellement plus amusant d'encourager publiquement l'usage de logiciels au fonctionnement risqué plutôt que de promouvoir les logiciels qui fonctionnent nativement sans hack bancal.

Hors ligne

#11 Le 31/10/2017, à 17:24

ccoolspot

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Roschan a écrit :

Oui oui, on a compris, tout le monde préfère contourner les mécanismes de sécurité par limitation de la surface d'attaque, parce que c'est tellement plus amusant d'encourager publiquement l'usage de logiciels au fonctionnement risqué plutôt que de promouvoir les logiciels qui fonctionnent nativement sans hack bancal.

Non mais ok c'est un "hack" mais temporaire c'est juste le temps de pour permettre à ces application de se mettre à jour. Après j'exposai juste mon point de vu sur le fait que je trouve que gnome-paquet ne peut pas remplacer synaptic.

J'ose espérer que synaptic se mettra bien a jour avec la prochaine version de debian stable qui peut être utilisera wayland par défaut

Hors ligne

#12 Le 31/10/2017, à 17:28

Roschan

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

J'ose surtout espérer que GNOME Paquets acquerra un bouton "autoremove", mais si tout le monde conseille publiquement sur des forums d'utiliser des bidouillages plutôt que d'oser approcher des alternatives, ça ne risque pas de motiver les développeurs de GNOME Paquets à mettre en place une telle idée

Dernière modification par Roschan (Le 31/10/2017, à 17:28)

Hors ligne

#13 Le 31/10/2017, à 18:08

ccoolspot

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Roschan a écrit :

J'ose surtout espérer que GNOME Paquets acquerra un bouton "autoremove", mais si tout le monde conseille publiquement sur des forums d'utiliser des bidouillages plutôt que d'oser approcher des alternatives, ça ne risque pas de motiver les développeurs de GNOME Paquets à mettre en place une telle idée

Ben au vu des application gnome ces derniere années je pense que c'est pas leur philosophy de créer des logiciel couteaux suisse donc je suis pas sur que leur gnome-paquet finisse par etre aussi complet que synaptic. Je pense qu'il serait plus simple que synaptic se mettent à jour pour wayland.

Hors ligne

#14 Le 31/10/2017, à 18:19

Roschan

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Leur philosophie c'est de ne donner que ce qui est nécessaire, il faut donc leur faire comprendre bruyamment ce qui est nécessaire wink

Hors ligne

#15 Le 31/10/2017, à 21:15

pierreTPE57

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Salut,
Un petit souci de mon côté avec les liens apturl sur Firefox : le clic ne déclenche plus l'installation mais seulement l'ouverture d'une page apt://monpaquet sur Firefox. J'essaie de réinstaller Audex (extraction CD) mais il n'est pas présent sur Synaptic, donc je ne sais pas comment faire. Merci de votre aide !

Hors ligne

#16 Le 31/10/2017, à 21:19

Roschan

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

sudo apt install audex

Hors ligne

#17 Le 31/10/2017, à 21:50

pierreTPE57

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

pierre@pierre-fixe:~$ sudo apt install audex
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet audex
pierre@pierre-fixe:~$ 

Hors ligne

#18 Le 31/10/2017, à 22:55

GammaDraconis

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Sinon t'installes Sound-Juicer, il fait la même chose (et y'en a d'autres)

Hors ligne

#19 Le 31/10/2017, à 22:59

Roschan

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Ha pas de bol il n'existe plus. Il est encore dans Xenial et dans Debian 9, donc essaye de choper le .deb et de l'installer avec sudo dpkg -i

Hors ligne

#20 Le 01/11/2017, à 08:55

pierreTPE57

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

GammaDraconis a écrit :

Sinon t'installes Sound-Juicer, il fait la même chose (et y'en a d'autres)

Je l'ai essayé rapidement, mais il semble moins paramétrable et n'inclut pas le téléchargement des pochettes d'album. Du coup retour à EAC sous windows.
Ceci dit, ça ne résout pas la question de fond qui est : pourquoi les liens apturl ne fonctionnent-ils pas sous firefox 56 ?

Hors ligne

#21 Le 01/11/2017, à 09:50

GammaDraconis

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Il y a au moins 7 à 10 logiciels différents sous linux qui permettent l'extraction de piste de cd audio et il y en a probablement plus d'1 qui permettent de récupérer aussi les pochettes.

D'ailleurs pour info, beaucoup de logiciel de gestion de musique permettent la récupération des pochettes, tu n'es pas obligé de faire cette opération au moment de l'extraction du cd.

Dernière modification par GammaDraconis (Le 01/11/2017, à 09:50)

Hors ligne

#22 Le 01/11/2017, à 22:50

pierreTPE57

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

On sort un peu du sujet là tongue
Mais je peux te dire que j'ai testé pas mal de combinaisons "encodeur de CD + gestion de bibliothèque" et le meilleur combo que j'ai pu trouver pour mon usage (musique stockée sur NAS, beaucoup de classique, donc champ "compositeur" obligatoire) c'est Audex + gmusicbrowser.
Sans compter que Linux n'est pas dans sa meilleure période. On a vu fleurir les développements entre 2000 et 2010, mais depuis, Android et iOS ont capté pas mal de développeurs. C'est bien dommage, mais un grand nombre de paquets ne sont plus suivis ni mis à jour. C'est le cas dans les outils de gestion de musique, qui ont perdu de leur intérêt avec l'essor des services type Deezer (ou mieux, Qobuz). On peut dire que l'histoire a fait le tri et gardé les meilleurs logiciels dans leur domaine respectif (gimp, libreoffice, etc.) mais on a perdu en liberté de choix. Là encore, ces considérations sortent du cadre du sujet !

Hors ligne

#23 Le 07/11/2017, à 10:43

fraspaeter

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Rochan
Entièrement d'accord avec toi. Il faut que les utilisateurs d'Ubuntu, en particulier les adeptes du terminal et de synaptic, comprennent que la pérennité et le développement d'Ubuntu passent par une utilisation facile pour le grand public, avec les conditions de sécurité adéquates.
Je suis passé à Ubuntu 17.10 en venant de 16.04, mais avec une installation propre.
Je ne dis pas que je n'ai eu aucun problème, mais j'aurais gagné beaucoup de temps à lire la doc, en particulier sur Wayland.
Tout n'est pas encore la panacée, mais la version LTS aura sans doute régler beaucoup de petits problèmes.
Le but ultime est sans doute, pour Ubuntu, une utilisation essentiellement en mode graphique, avec un terminal réduit au stade de l'exécuter de Windows.
Ce jour là, Microsoft aura vraiment du souci à se faire.

Hors ligne

#24 Le 08/11/2017, à 14:57

LeNar

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Je débarque sur Ubuntu et ça me fait penser au virage qu'avait pris Windows avec Vista, tout verrouiller. Mais je me trompe peut être... Donc quel alternative existe t il a gksu nautilus? Comment modifier un fichier système dans une interface graphique? En attendant je m'en vais affronter d'autres problèmes sur Fedora.

Hors ligne

#25 Le 08/11/2017, à 15:29

Roschan

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

LeNar a écrit :

Je débarque sur Ubuntu et ça me fait penser au virage qu'avait pris Windows avec Vista, tout verrouiller. Mais je me trompe peut être... Donc quel alternative existe t il a gksu nautilus? Comment modifier un fichier système dans une interface graphique? En attendant je m'en vais affronter d'autres problèmes sur Fedora.

Oui tu te trompes, ce n'est pas aux développeurs de Wayland ni de GNOME Shell ni d'Ubuntu (ni de Fedora, qui utilise Wayland depuis largement plus longtemps) de répondre à la question "en tant que débutant, comment vais-je faire mes manipulations dangereuses pour péter mon système".

C'est éventuellement une question pour les développeurs des éditeurs de texte et des gestionnaires de fichiers graphiques, qui ne manquent pas de solutions techniques pour proposer une élévation des privilèges sécurisée.
Polkit par exemple ça existe par défaut sur Ubuntu depuis bientôt 10 ans, donc on ne peut pas dire qu'ils aient été pris de court : si les éditeurs de texte ne proposent toujours pas mieux que "mettez gksudo avant la commande" c'est eux qu'il faut allez engueuler.

Nautilus/Gedit savent utiliser polkit depuis un peu plus d'un an, mais c'est farci de bugs donc utilisez plutôt nano (qui n'a pas la peste, quelle malhonnêteté d'estimer que quoi que ce soit ici a été "verrouillé")

Dernière modification par Roschan (Le 08/11/2017, à 15:30)

Hors ligne